/*
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License along
 with this program; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include "Dialogs/About.h"

#include "wx/utils.h"
#include "wx/stdpaths.h"

#include "IO/IOUtils.h"

namespace AriaMaestosa {
	
AboutDialog::AboutDialog() : wxDialog(NULL, wxID_ANY, wxGetTranslation("About Aria Maestosa"), wxDefaultPosition, wxSize(517, 500) )
{
	INIT_LEAK_CHECK();
	
	//wxImage* titleImage=new wxImage(wxStandardPaths::Get().GetResourcesDir() + wxT("/")  + wxT("title.jpg"), wxBITMAP_TYPE_JPEG);
    //wxBitmap* titleBitmap=new wxBitmap(*titleImage, wxBITMAP_TYPE_PNG);

    wxBitmap titleBitmap;
    titleBitmap.LoadFile( getResourcePrefix()  + wxT("title.jpg") , wxBITMAP_TYPE_JPEG );
    picture=new wxBitmapButton(this, 0, titleBitmap, wxPoint(0,0), wxSize(517,174) );
	
	wxString about_text = wxGetTranslation("version 1.0b6\n\nThis version is still in beta stages and so\nmay contain undiscovered bugs and crash.\n\nPlease save your work often.\n\nThanks to:\n\n	J.D. Koftinoff Software for libjdkmidi\n	The irrXML team for their great XML parser\n	The wxWidgets team\n	www.freesmug.org for allowing me to access an intel mac\n\nDon't forget to give me feedback for a shiny 1.0 release!");
	textArea = new wxTextCtrl(this, 1, about_text, wxPoint(0,174), wxSize(517,500-174), wxTE_MULTILINE | wxTE_READONLY);
}

void AboutDialog::show()
{
	Centre();
	Show();
}

}
